<%- include('./partials/header')%>
<%- include('./partials/file-start') %>
<h1 id="title">Výsledky</h1>
<table id="results" class="table table-striped table-bordered w-100">
    <thead>
        <tr style="text-align: center; ">
            <th>Pozice</th>
            <th>Tým</th>
            <th>Okres</th>
            <th>L&nbsp;terč</th>
            <th>P&nbsp;terč</th>
            <th>Čas</th>
            <th>Body</th>
            <th style="text-align: center; width: 5%" class="yt-link">YT</th>
        </tr>
    </thead>
</table>
<%- include('./partials/dataTables')%>
<script>
    $(document).ready(function () {
        API.competition
            .list({
                _id: '<%= req.params.competitionId %>'
            })
            .done((dataFromServer) => {
                // console.log(dataFromServer)
                const $categories = $('<div>')
                for (let i = 0; i < dataFromServer[0].categories.length; i++) {
                    const category = dataFromServer[0].categories[i]
                    const $category = $('<a>', { href: `./${category._id}`, class: 'm-1', style: 'font-size: 125%' }).text(category.name)
                    if (category._id === '<%= req.params.categoryId %>') {
                        $category.addClass('font-weight-bold')
                    }
                    if (category.name.includes('Ž')) {
                        $category.addClass('text-pink')
                    } else if (category.name.includes('Veterán')) {
                        $category.addClass('text-danger')
                    } else if (category.name.includes('Junio')) {
                        $category.addClass('text-success')
                    }
                    $categories.append($category)
                }
                $('#title').after($categories)

                API.result
                    .list({
                        competition: '<%= req.params.competitionId %>',
                        category: '<%= req.params.categoryId %>'
                    })
                    .done((dataFromServer) => {
                        // console.log(dataFromServer)
                        let position = 1
                        $('table#results').DataTable({
                            language: {
                                url: '/js/dataTables/myCzech.json'
                            },
                            order: [[0, "asc"]],
                            responsive: true,
                            data: dataFromServer,
                            columns: [
                                {
                                    data: null,
                                    mRender: function () {
                                        return position++;
                                    }
                                }, {
                                    data: 'team.name'
                                }, {
                                    data: 'team.district.name.full'
                                }, {
                                    data: 'targets.left',
                                    fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                        formatResult(oData.targets.left, $(nTd))
                                    }
                                }, {
                                    data: 'targets.right',
                                    fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                        formatResult(oData.targets.right, $(nTd))
                                    }
                                }, {
                                    data: 'result',
                                    fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                        formatResult(oData.result, $(nTd))
                                    }
                                }, {
                                    data: 'category.placementPoints',
                                    fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                        switch (oData.result) {
                                            case 0:
                                                $(nTd).html(0)
                                                break

                                            case -1:
                                                $(nTd).html(0)
                                                break

                                            default:
                                                $(nTd).html(oData.category.placementPoints[position - 2].points)
                                                break
                                        }
                                    }
                                }, {
                                    data: '_id',
                                    fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                        $(nTd).html(
                                            $("<div>", { class: "row m-auto justify-content-around" }).append(
                                                oData.media.youtube === '#' ? '' : $('<a>', { href: oData.media.youtube, target: '_blank' }).append($('<i>', { class: 'fab fa-youtube text-danger' })),
                                            ),
                                        )

                                    }
                                }
                            ],
                        })
                    })
            })
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>
